.sidebar_left_width {
    width: 28%;
}
.product_filter_right {
    width: 71.5%;
}

.sidebar_filter {
    background-color: #F6F6F6;
    padding: 15px 14px;

}

.sidebar_top_heading,
.sidebar_sub_heading {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.sidebar_top_heading {
    margin-bottom: 15px;
}
.top-result-btn{
    margin-bottom: 20px;
    display: none;
}
.sidebar_top_heading h3 {
    margin-bottom: 0px;
    font-weight: 600;
    font-size: var(--h3-desktop); /*24px*/
}
.reset_filter img{
    width: 22px;
    margin-left: 15px;
}
.group-btn-top {
    display: flex;
}
body .reset_filter:not(#view-results):hover{
    background-color: transparent !important;
    border-color: transparent !important;
}
.reset_filter {
    /* border-radius: 6px;
    background-color: var(--kc-primary);
    padding: 5px 35px;
    color: #FFF;
    font-size: 18px;
    font-weight: 400;
    border: 2px solid var(--kc-primary);
    transition: all 0.3s ease-in-out; */
    display: flex;
    align-items: center;
}
.reset_filter:focus{
    box-shadow: none !important;
}
.sidebar_type_filter {
    margin-bottom: 40px;
}

.sidebar_sub_heading * {
/*    color: rgba(0, 0, 0, 0.80);*/
    line-height: 1.2;
    font-size: var(--h4-desktop); /*18px*/
    text-transform: capitalize;
}

.sidebar_sub_heading {
    margin-bottom: 17px;
}

.sidebar_sub_heading h4 {
    font-weight: 600;
}

/* Hide the browser's default radio button */
.radio_button_container input {
    /* position: absolute;
    opacity: 0;
    cursor: pointer; */
    accent-color: var(--kc-primary);
    position: absolute;
    top: 0;
    left: 0;
    height: 24px;
    width: 24px;
    border-radius: 50%;
    border: 2px solid rgba(0, 0, 0, 0.80);
    transition: all 0.3s;
    display: none;
    overflow: hidden;
}
.radio_button_container input:checked~.checkmark:before{
    content: "";
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    background: var(--kc-primary);
    border: 2px solid #fff;
    border-radius: 50%;
}
.radio_button:not(:has(.radio_button_container input:checked)) .radio_button_container input[checked="checked"]~.checkmark:before {
    content: "";
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    background: var(--kc-primary);
    border: 2px solid #fff;
    border-radius: 50%;
}
.radio_button_container .checkmark {background: #fff;}
/* Create a custom radio button */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 24px;
    width: 24px;
    background-color: rgba(0, 0, 0, 0);
    border-radius: 50%;
    border: 2px solid rgba(0, 0, 0, 0.80);
    transition: all 0.3s;
    overflow: hidden;
    /* display: none !important; */
}

/* label container */
.radio_button_container:has(input:checked){
    font-weight: 600;
    color: var(--kc-primary);
}
.radio_button_container {
    color: rgba(0, 0, 0, 0.80);
    display: block;
    position: relative;
    padding-left: 35px;
    line-height: 1.2;
    margin-bottom: 15px;
    cursor: pointer;
    font-size: 15px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    /* transition: all 0.3s ease-in-out; */
}

/* On mouse-over, add a grey background color */
.radio_button_container:hover input~.checkmark {
    border-color: rgba(0, 0, 0, 0.80);
    ;
    transition: all 0.3s ease-in-out;
}

/* When the radio button is checked */
.radio_button_container input:checked~.checkmark {
    background-color: rgba(0, 0, 0, 0);
    border-color: var(--kc-primary);
    transition: all 0.3s ease-in-out;
}


/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the indicator (dot/circle) when checked */
.radio_button_container input:checked~.checkmark:after {
    display: block;
}

/* Style the indicator (dot/circle) */
.sidebar_type_filter:not(.color_filter) .radio_button_container .checkmark:after{
    display: none !important;
}
.radio_button_container .checkmark:hover {
    background-color: unset;
}
.radio_button_container .checkmark:after {
    top: -2px;
    left: -2px;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background: var(--kc-primary);
    transition: all 0.3s ease-in-out;
    line-height: normal;
    font-size: 0 !important;
    padding: 0 !important;
    margin: 0 !important;
    border: 4px solid #fff;
    overflow: hidden;
 
}

.sidebar_type_filter.have_data:not(:last-child) {
    border-bottom: 1px solid #ebebeb;
}

.color_filter .radio_button_container .checkmark:after {
    /* background-color: var(--kc-primary); */
    background-color: #f3f3f3;
    border: none;
}
@media(min-width:1024px){
    .radio_button_container:hover .checkmark::before {
        content: "";
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        background: unset;
        border-radius: 50%;
    }
}
/* Width and checkbox */
ul.check_list-group {
    display: inline-flex;
    flex-wrap: wrap;
    list-style: none;
    padding-left: 0;
    width: 100%;
}
.shop_cabinet_check_option {
    display: inline-flex;
    position: relative;
    padding-left: 32px;
    margin-bottom: 12px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin: 5px;
    align-items: center;
    justify-content: flex-start;
    min-height: 25px;
}
ul.check_list-group li.shop_cabinet_check_option {
    background-color: transparent;
    width: 30px;
    height: 30px;
    padding: 0;
    margin: 5px;
    /* min-width: 40px; */
    min-width: calc(25% - 20px);
}
.shop_cabinet_check_option input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 100%;
    width: 100%;
    display: inline-block;
    z-index: 11;
    left: 0;
}
ul.check_list-group li.shop_cabinet_check_option span.checkmark {
    z-index: 0;
    display: inline-block;
    width: 100%;
    height: 100%;
}
.shop_cabinet_check_option .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: var(--kc-white);
    border: 0.5px solid #D4D4D4;
    border-radius: 4px;
}
.width-filter-work .shop_cabinet_check_option input:checked~.checkmark {
    background-color: var(--kc-primary);
}
.shop_cabinet_check_option input:checked~.checkmark {
    background-color: var(--kc-primary);
    border-color: var(--kc-primary);
    border-radius: 4px;
}
.width-filter-work .shop_cabinet_check_option input:checked~.checkmark:after {
    border-width: 0px !important;
}
ul.check_list-group li.shop_cabinet_check_option input:checked~.checkmark+label {
    color: var(--kc-white);
}
ul.check_list-group li.shop_cabinet_check_option label.cabinet_check_option_label {
    width: 100%;
    display: inline-flex;
    text-align: center;
    margin-bottom: 0;
    height: 100%;
    justify-content: center;
    align-items: center;
    position: relative;
    padding-left: 1px;
    font-size: 15px;
}
.filter-left-side-bar .shop_cabinet_check_option label.cabinet_check_option_label {
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 19px;
    color: #211E22;
    text-transform: capitalize;
    padding-left: 5px;
}
@media (max-width: 1500px) {
    .sidebar_left_width {
        width: 27%;
    }
    .product_filter_right {
        width: 72.5%;
    }
    .radio_button_container {
        margin-bottom: 12px;
        padding-left: 32px;
    }
    /* .checkmark {
        width: 20px;
        height: 20px;
    } */
    /* .radio_button_container .checkmark:after {
        width: 20px;
        height: 20px;
    } */
    .sidebar_type_filter {
        margin-bottom: 20px;
        padding-bottom: 10px;
    }
    .reset_filter {
        font-size: 16px;
    }
    /* .sidebar_top_heading .reset_filter {
        padding: 5px 20px;
    } */
    ul.check_list-group li.shop_cabinet_check_option label.cabinet_check_option_label{
        font-size: 14px;
    }
}
@media(min-width:1025px) and (max-width:1400px){
    body .view_result, body .filter_btn
    , body .group-btn-top > a:first-child{
        font-size: 13px;
    }
}
@media(min-width:1025px){
    .sidebar_filter .radio_button{
        max-height: 200px;
        overflow-x: auto;
        padding-top: 5px;
    }
    .radio_button_container input {
        top: -4px;
    }
    .checkmark {
        top: -4px;
    }    
}

@media (max-width: 1400px) {
    .sidebar_left_width {
        width: 26%;
    }
    .product_filter_right {
        width: 73.5%;
    }
}

@media (min-width: 1025px) {
    .reset_filter:hover {
        color: var(--kc-primary);
        background-color: transparent;
    }
}
/* @media (min-width: 1550px) {
    .radio_button_container .checkmark:after {
        top: 1px;
        left: 1px;
    }
} */
@media (max-width: 1024px) {
    ul.check_list-group li.cabinet_check_option{
        min-width: calc(14.5% - 20px);
    }
    .sidebar_top_heading .reset_filter{
        font-size: 14px;
        padding: 5px 10px;
        color: var(--kc-primary); 
		background: none !Important;
		border: none !Important;
        padding-right: 0;

    }
    .radio_button_container{
        font-size: 14px;
    }
    .mobile-btn-group {
        display: flex;
    }
    .mobile-btn-group #view-results{
        background-color: var(--kc-primary);
        color: var(--kc-white);
        border: 2px solid var(--kc-primary);
        border-radius: 6px;
        box-shadow: none !important;
        font-size: 16px;
        line-height: 1.2;
        padding: 12px 15px;
        width: 100%;
        font-weight: 500;
        margin-bottom: 5px;
    }
    .sidebar_left_width.mobile-tab-view form #view-results{
        background-color: var(--kc-primary);
        color: var(--kc-white);
        border: 2px solid var(--kc-primary);
        border-radius: 6px;
        box-shadow: none !important;
        font-size: 16px;
        line-height: 1.2;
        padding: 12px 15px;
        width: 100%;
        font-weight: 500;
        margin-bottom: 5px;
        text-align: center;
        justify-content: center;
    }
}
@media(max-width:580px){
    ul.check_list-group li.cabinet_check_option{
        width: calc(20% - 10px);
    }   
    .filter_section .product-options{
        flex-direction: column;
    }
    .product-options > .rkc-sort .pagi-nav{
        text-align: left !important;
        margin-bottom: 15px;
    }

    .filter_section .product-options > div{
        width: 100%;
        margin-left: 0px;
    }
    /* .filter_section .product-options > div .pagi-nav{
        text-align: center;
    } */
}
@media (max-width:1024px) {
    .product_filter_right,
    .sidebar_left_width{
        width: 100%;
    }   
}

/* Mobile View filter */
@media (max-width:1024px) {
    .sidebar_filter,
    .cabinet_check_,
    .filter-btn {
        display: none;
    }
    .filter-left-side-bar #parent-categories-form > ul > li{
        width: 50% !important;
    }
    form#sub-cat-filter-form{
        width: 100%;
        margin-bottom: 50px;

    }
}
@media (min-width:1025px) {
    .mobile_view_filter,
    .cross_icon_filter,
    .sidebar_left_width_mobile {
        display: none !important;
    }    
}
@media (max-width:1024px) {
    .mobile_view_filter{
        position: fixed;
        top: 30%;
        background-color: #fff;
        z-index: 999;
        box-shadow:  0 0 10px #cccc;
    }
    .mobile_view_filter img{
        width: 45px;
    }
    .mobile_view_filter ul > li:first-child{
        border-right: 1px solid #ccc;
    }
    .filter_topbar .depot-shop-filter {
        position: fixed !Important;
        left: -100px;
        top: 0;
        z-index: 99999;
        transition: all 0.3s ease-in-out;
        padding: 0;
        height: 100vh;
        width:0%;
        overflow: auto;
    }
    .depot-shop-filter.active_left_side_filter{
        width:100%;
        left: 0px;
        transition: all 0.3s ease-in-out;
        padding-bottom: 20px;
        overflow-x: hidden;
    }
    .filter-left-side-bar .depot-shop-filter{
        padding-bottom: 70px !important;
        overflow-x: hidden;
    }
    .depot-shop-filter .sidebar_filter{
        display: block;
        background-color: #fff;
        padding-top: 50px;
    }
    .filter-left-side-bar .depot-shop-filter{
        padding: 25px 10px;
    }
    .cross_icon_filter {
        /* position: absolute; */
        /* right: 10px; */
        /* top: 10px; */
        /* width: 35px; */
        /* height: 35px; */
        /* z-index: 998; */
    }
    .cross_icon_filter img{
        width: 15px;
        position: absolute;
        right: 5px;
    }
    .top-result-btn{
        margin-bottom: 20px;
        position: sticky;
        webkit-position: sticky;
        top: 0;
        background-color: #fff;
        z-index: 999;
        padding-top: 8px;
        padding-bottom: 8px;
    }
    .top-result-btn a{
        background-color: var(--kc-primary);
        color: var(--kc-white);
        border: 2px solid var(--kc-primary);
        border-radius: 6px;
        padding-top: 10px;
        padding-bottom: 10px;
        box-shadow: none !important;
        font-size: var(--a-desktop); /*16px*/
        line-height: 1.2;
        padding: 12px 15px;
        width: 100%;
        font-weight: 500;
        margin-bottom: 5px;
        text-align: center;
        justify-content: center;
    }
}
.sidebar_left_width{
    position: sticky;
    -webkit-position: sticky;
    top: 15px;
    align-self: flex-start;
}
.top-result-btn .view_result_c:hover{
    background-color: #2d2f22 !important;
    color: #fff !important;
    border-color: #2d2f22 !important;
}
 .top-result-btn .view_result_c{
    color: var(--kc-white);
    background-color: var(--kc-primary);
    border: 2px solid var(--kc-primary);
    border-radius: 6px;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-bottom: 5px;
    box-shadow: none !important;
    font-size: 16px;
    line-height: 1.2;
    padding: 12px 15px;
    width: 100%;
    font-weight: 500;
    display: flex;
    justify-content: center;
}
/* 
body.safari-browser .sidebar_filter .sidebar_type_filter .radio_button_container .checkmark{
    top: 3px;
    left: 3px;
}
body.safari-browser .sidebar_filter .sidebar_type_filter .radio_button_container .checkmark
, body.safari-browser .radio_button_container .checkmark:after{
    width: 18px;
    height: 18px;
   
} */

/* @media screen and (-webkit-min-device-pixel-ratio:0) {
    .sidebar_filter .sidebar_type_filter:not(.color_filter) .radio_button_container .checkmark {
        display: block  !important;
    }
    .sidebar_filter .sidebar_type_filter:not(.color_filter) .radio_button_container .checkmark{
        width: 18px;
        height: 18px;
        top: 2px;
        left: 0px;
    }
    .radio_button_container .checkmark:after{
        width: 18px;
        height: 18px;
    }
} */
@media (max-width:1024px) {
    .mobile_view_filter{
        position: fixed;
        top: auto;
        background-color: var(--kc-primary);
        z-index: 999;
        box-shadow: 0 0 10px #cccc;
        bottom: 0;
        width: 100%;
        text-align: center;
        padding: 10px;
    }
    .mobile_view_filter span{
        color: #fff;
    }
    .mobile_view_filter img{
        width: 22px;
    }
    .mobile_view_filter ul > li:first-child{
        border-right: 1px solid #ccc;
    }
    .filter_topbar .depot-shop-filter {
        position: fixed;
        left: -100px;
        top: 0;
        z-index: 99999;
        transition: all 0.3s ease-in-out;
        padding: 0;
        height: 100vh;
        width:0%;
        overflow: auto;
    }
    .depot-shop-filter.active_left_side_filter{
        width:100%;
        left: 0px;
        transition: all 0.3s ease-in-out;
    }
    .depot-shop-filter .sidebar_filter{
        display: block;
        background-color: #fff;
    }
    .filter-left-side-bar .depot-shop-filter{
        padding: 0;
        padding-bottom: 0 !important;
    }
    /* .filter_topbar .cross_icon_filter {
        position: absolute;
        right: 10px;
        top: 10px;
        width: 35px;
        height: 35px;
        z-index: 998;
    } */
}
.sidebar_type_filter.color_filter span.checkmark {
    /* border: 1px solid #757373 !important; */
}
.selected-filters > ul {
    display: flex;
}
.selected-filters > ul li{
    background-color: #f7f7f7;
    font-size: 14px;
    padding: 4px 25px 4px 15px;
    border: 1px solid #dddddd;
    border-radius: 5px;
    position: relative;
    margin-right: 10px;
    margin-bottom: 10px;
    cursor: pointer;
}
.selected-filters > ul img {
    width: 9px;
    position: absolute;
    right: 8px;
    top: 10px;
}

@media (min-width:1025px) {
    .mobile_filters_sidebar{
        display: none !important;
    }
}
@media (max-width:1024px) {
    .mobile_filters_sidebar.active_mobile_side_filter{
        display: block !important;
    }
    .mobile_filters_sidebar {
        width: 100%;
        position: fixed;
        top: 0;
        right: 100%;
        z-index: 99999;
        height: 100vh;
        overflow: auto;
        background: #fff;
        transition: 0.5s;
    }
    .mobile_filters_sidebar.active_mobile_side_filter {
        right: 0;
    }
    
    .cross_icon_filter {
        position: absolute;
        top: 20px;
        right: 20px;
        z-index: 999999;
    }
    
    .mobile_filters_sidebar.active_mobile_side_filter .sidebar_top_heading {
        display: flex !important;
        flex-direction: row;
    }
}
@media (max-width:1600px) {
    ul.check_list-group li.shop_cabinet_check_option {
        min-width: calc(33.3% - 20px);
    }
}
@media (max-width:1024px) {
    .radio_button_container span.checkmark {
        width: 15px;
        height: 15px;
        display: block;
    }
    
    .radio_button_container input {
        width: 15px;
        height: 15px;
    }
    
    .radio_button_container {
        padding-left: 20px;
    }

}